org.kie.internal.agent

## Interface KnowledgeAgent

-     public interface KnowledgeAgent

  The KnowledgeAgentFactory provides detailed information on how to create and use the KnowledgeAgent.
  See Also:
    `KnowledgeAgentFactory`, `KnowledgeAgentConfiguration`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `KnowledgeAgent.ResourceStatus`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEventListener(KnowledgeAgentEventListener listener)`
    `void` | `applyChangeSet(ChangeSet changeSet)`
    `void` | `applyChangeSet(org.kie.api.io.Resource resource)`
    `void` | `dispose()`
    `KnowledgeBase` | `getKnowledgeBase()` Returns the cached KnowledgeBase
    `String` | `getName()`
    `void` | `monitorResourceChangeEvents(boolean monitor)`
    `StatelessKnowledgeSession` | `newStatelessKnowledgeSession()` StatelessKnowledgeSession created from here will always have the execute() method called against the latest built KnowledgeBase
    `StatelessKnowledgeSession` | `newStatelessKnowledgeSession(org.kie.api.runtime.KieSessionConfiguration conf)` StatelessKnowledgeSession created from here will always have the execute() method called against the latest built KnowledgeBase
    `void` | `removeEventListener(KnowledgeAgentEventListener listener)`
    `void` | `setSystemEventListener(SystemEventListener listener)`

- - ### Method Detail

    - #### addEventListener

          void addEventListener(KnowledgeAgentEventListener listener)

    - #### removeEventListener

          void removeEventListener(KnowledgeAgentEventListener listener)

    - #### getName

          String getName()

      Returns:
        The name

    - #### getKnowledgeBase

          KnowledgeBase getKnowledgeBase()

      Returns the cached KnowledgeBase
      Returns:
        The KnowledgeBase

    - #### newStatelessKnowledgeSession

          StatelessKnowledgeSession newStatelessKnowledgeSession()

      StatelessKnowledgeSession created from here will always have the execute() method called against the latest built KnowledgeBase
      Returns:

    - #### newStatelessKnowledgeSession

          StatelessKnowledgeSession newStatelessKnowledgeSession(org.kie.api.runtime.KieSessionConfiguration conf)

      StatelessKnowledgeSession created from here will always have the execute() method called against the latest built KnowledgeBase
      Returns:

    - #### monitorResourceChangeEvents

          void monitorResourceChangeEvents(boolean monitor)

    - #### applyChangeSet

          void applyChangeSet(org.kie.api.io.Resource resource)

    - #### applyChangeSet

          void applyChangeSet(ChangeSet changeSet)

    - #### setSystemEventListener

          void setSystemEventListener(SystemEventListener listener)

    - #### dispose

          void dispose()

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.